io.vertx.redis

## Interface RedisTransaction

-     public interface RedisTransaction

  This Interface represents a TX

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisTransaction` | `append(String key, String value, Handler<AsyncResult<String>> handler)` Append a value to a key
    `RedisTransaction` | `auth(String password, Handler<AsyncResult<String>> handler)` Authenticate to the server
    `RedisTransaction` | `bgrewriteaof(Handler<AsyncResult<String>> handler)` Asynchronously rewrite the append-only file
    `RedisTransaction` | `bgsave(Handler<AsyncResult<String>> handler)` Asynchronously save the dataset to disk
    `RedisTransaction` | `bitcount(String key, Handler<AsyncResult<String>> handler)` Count set bits in a string
    `RedisTransaction` | `bitcountRange(String key, long start, long end, Handler<AsyncResult<String>> handler)` Count set bits in a string
    `RedisTransaction` | `bitop(BitOperation operation, String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Perform bitwise operations between strings
    `RedisTransaction` | `bitpos(String key, int bit, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `bitposFrom(String key, int bit, int start, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `bitposRange(String key, int bit, int start, int stop, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `blpop(String key, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the first element in a list, or block until one is available
    `RedisTransaction` | `blpopMany(List<String> keys, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the first element in any of the lists, or block until one is available
    `RedisTransaction` | `brpop(String key, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the last element in a list, or block until one is available
    `RedisTransaction` | `brpoplpush(String key, String destkey, int seconds, Handler<AsyncResult<String>> handler)` Pop a value from a list, push it to another list and return it; or block until one is available
    `RedisTransaction` | `brpopMany(List<String> keys, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the last element in any of the lists, or block until one is available
    `RedisTransaction` | `clientGetname(Handler<AsyncResult<String>> handler)` Get the current connection name
    `RedisTransaction` | `clientKill(KillFilter filter, Handler<AsyncResult<String>> handler)` Kill the connection of a client
    `RedisTransaction` | `clientList(Handler<AsyncResult<String>> handler)` Get the list of client connections
    `RedisTransaction` | `clientPause(long millis, Handler<AsyncResult<String>> handler)` Stop processing commands from clients for some time
    `RedisTransaction` | `clientSetname(String name, Handler<AsyncResult<String>> handler)` Set the current connection name
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `RedisTransaction` | `clusterAddslots(List<String> slots, Handler<AsyncResult<String>> handler)` Assign new hash slots to receiving node.
    `RedisTransaction` | `clusterCountFailureReports(String nodeId, Handler<AsyncResult<String>> handler)` Return the number of failure reports active for a given node.
    `RedisTransaction` | `clusterCountkeysinslot(long slot, Handler<AsyncResult<String>> handler)` Return the number of local keys in the specified hash slot.
    `RedisTransaction` | `clusterDelslots(long slot, Handler<AsyncResult<String>> handler)` Set hash slots as unbound in receiving node.
    `RedisTransaction` | `clusterDelslotsMany(List<String> slots, Handler<AsyncResult<String>> handler)` Set hash slots as unbound in receiving node.
    `RedisTransaction` | `clusterFailover(Handler<AsyncResult<String>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisTransaction` | `clusterFailOverWithOptions(FailoverOptions options, Handler<AsyncResult<String>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisTransaction` | `clusterForget(String nodeId, Handler<AsyncResult<String>> handler)` Remove a node from the nodes table.
    `RedisTransaction` | `clusterGetkeysinslot(long slot, long count, Handler<AsyncResult<String>> handler)` Return local key names in the specified hash slot.
    `RedisTransaction` | `clusterInfo(Handler<AsyncResult<String>> handler)` Provides info about Redis Cluster node state.
    `RedisTransaction` | `clusterKeyslot(String key, Handler<AsyncResult<String>> handler)` Returns the hash slot of the specified key.
    `RedisTransaction` | `clusterMeet(String ip, long port, Handler<AsyncResult<String>> handler)` Force a node cluster to handshake with another node.
    `RedisTransaction` | `clusterNodes(Handler<AsyncResult<String>> handler)` Get Cluster config for the node.
    `RedisTransaction` | `clusterReplicate(String nodeId, Handler<AsyncResult<String>> handler)` Reconfigure a node as a slave of the specified master node.
    `RedisTransaction` | `clusterReset(Handler<AsyncResult<String>> handler)` Reset a Redis Cluster node.
    `RedisTransaction` | `clusterResetWithOptions(ResetOptions options, Handler<AsyncResult<String>> handler)` Reset a Redis Cluster node.
    `RedisTransaction` | `clusterSaveconfig(Handler<AsyncResult<String>> handler)` Forces the node to save cluster state on disk.
    `RedisTransaction` | `clusterSetConfigEpoch(long epoch, Handler<AsyncResult<String>> handler)` Set the configuration epoch in a new node.
    `RedisTransaction` | `clusterSetslot(long slot, SlotCmd subcommand, Handler<AsyncResult<String>> handler)` Bind an hash slot to a specific node.
    `RedisTransaction` | `clusterSetslotWithNode(long slot, SlotCmd subcommand, String nodeId, Handler<AsyncResult<String>> handler)` Bind an hash slot to a specific node.
    `RedisTransaction` | `clusterSlaves(String nodeId, Handler<AsyncResult<String>> handler)` List slave nodes of the specified master node.
    `RedisTransaction` | `clusterSlots(Handler<AsyncResult<String>> handler)` Get array of Cluster slot to node mappings
    `RedisTransaction` | `command(Handler<AsyncResult<String>> handler)` Get array of Redis command details
    `RedisTransaction` | `commandCount(Handler<AsyncResult<String>> handler)` Get total number of Redis commands
    `RedisTransaction` | `commandGetkeys(Handler<AsyncResult<String>> handler)` Extract keys given a full Redis command
    `RedisTransaction` | `commandInfo(List<String> commands, Handler<AsyncResult<String>> handler)` Get array of specific Redis command details
    `RedisTransaction` | `configGet(String parameter, Handler<AsyncResult<String>> handler)` Get the value of a configuration parameter
    `RedisTransaction` | `configResetstat(Handler<AsyncResult<String>> handler)` Reset the stats returned by INFO
    `RedisTransaction` | `configRewrite(Handler<AsyncResult<String>> handler)` Rewrite the configuration file with the in memory configuration
    `RedisTransaction` | `configSet(String parameter, String value, Handler<AsyncResult<String>> handler)` Set a configuration parameter to the given value
    `RedisTransaction` | `dbsize(Handler<AsyncResult<String>> handler)` Return the number of keys in the selected database
    `RedisTransaction` | `debugObject(String key, Handler<AsyncResult<String>> handler)` Get debugging information about a key
    `RedisTransaction` | `debugSegfault(Handler<AsyncResult<String>> handler)` Make the server crash
    `RedisTransaction` | `decr(String key, Handler<AsyncResult<String>> handler)` Decrement the integer value of a key by one
    `RedisTransaction` | `decrby(String key, long decrement, Handler<AsyncResult<String>> handler)` Decrement the integer value of a key by the given number
    `RedisTransaction` | `del(String key, Handler<AsyncResult<String>> handler)` Delete a key
    `RedisTransaction` | `delMany(List<String> keys, Handler<AsyncResult<String>> handler)` Delete many keys
    `RedisTransaction` | `discard(Handler<AsyncResult<String>> handler)` Discard all commands issued after MULTI
    `RedisTransaction` | `dump(String key, Handler<AsyncResult<String>> handler)` Return a serialized version of the value stored at the specified key.
    `RedisTransaction` | `echo(String message, Handler<AsyncResult<String>> handler)` Echo the given string
    `RedisTransaction` | `eval(String script, List<String> keys, List<String> args, Handler<AsyncResult<String>> handler)` Execute a Lua script server side.
    `RedisTransaction` | `evalsha(String sha1, List<String> keys, List<String> values, Handler<AsyncResult<String>> handler)` Execute a Lua script server side.
    `RedisTransaction` | `exec(Handler<AsyncResult<JsonArray>> handler)` Execute all commands issued after MULTI
    `RedisTransaction` | `exists(String key, Handler<AsyncResult<String>> handler)` Determine if a key exists
    `RedisTransaction` | `existsMany(List<String> keys, Handler<AsyncResult<String>> handler)` Determine if one or many keys exist
    `RedisTransaction` | `expire(String key, int seconds, Handler<AsyncResult<String>> handler)` Set a key's time to live in seconds
    `RedisTransaction` | `expireat(String key, long seconds, Handler<AsyncResult<String>> handler)` Set the expiration for a key as a UNIX timestamp
    `RedisTransaction` | `flushall(Handler<AsyncResult<String>> handler)` Remove all keys from all databases
    `RedisTransaction` | `flushdb(Handler<AsyncResult<String>> handler)` Remove all keys from the current database
    `RedisTransaction` | `geoadd(String key, double longitude, double latitude, String member, Handler<AsyncResult<String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisTransaction` | `geoaddMany(String key, List<GeoMember> members, Handler<AsyncResult<String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisTransaction` | `geodist(String key, String member1, String member2, Handler<AsyncResult<String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisTransaction` | `geodistWithUnit(String key, String member1, String member2, GeoUnit unit, Handler<AsyncResult<String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisTransaction` | `geohash(String key, String member, Handler<AsyncResult<String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisTransaction` | `geohashMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisTransaction` | `geopos(String key, String member, Handler<AsyncResult<String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisTransaction` | `geoposMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisTransaction` | `georadius(String key, double longitude, double latitude, double radius, GeoUnit unit, Handler<AsyncResult<String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisTransaction` | `georadiusbymember(String key, String member, double radius, GeoUnit unit, Handler<AsyncResult<String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisTransaction` | `georadiusbymemberWithOptions(String key, String member, double radius, GeoUnit unit, GeoRadiusOptions options, Handler<AsyncResult<String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisTransaction` | `georadiusWithOptions(String key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusOptions options, Handler<AsyncResult<String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisTransaction` | `get(String key, Handler<AsyncResult<String>> handler)` Get the value of a key
    `RedisTransaction` | `getBinary(String key, Handler<AsyncResult<Buffer>> handler)` Get the value of a key - without decoding as utf-8
    `RedisTransaction` | `getbit(String key, long offset, Handler<AsyncResult<String>> handler)` Returns the bit value at offset in the string value stored at key
    `RedisTransaction` | `getrange(String key, long start, long end, Handler<AsyncResult<String>> handler)` Get a substring of the string stored at a key
    `RedisTransaction` | `getset(String key, String value, Handler<AsyncResult<String>> handler)` Set the string value of a key and return its old value
    `RedisTransaction` | `hdel(String key, String field, Handler<AsyncResult<String>> handler)` Delete one or more hash fields
    `RedisTransaction` | `hdelMany(String key, List<String> fields, Handler<AsyncResult<String>> handler)` Delete one or more hash fields
    `RedisTransaction` | `hexists(String key, String field, Handler<AsyncResult<String>> handler)` Determine if a hash field exists
    `RedisTransaction` | `hget(String key, String field, Handler<AsyncResult<String>> handler)` Get the value of a hash field
    `RedisTransaction` | `hgetall(String key, Handler<AsyncResult<String>> handler)` Get all the fields and values in a hash
    `RedisTransaction` | `hincrby(String key, String field, long increment, Handler<AsyncResult<String>> handler)` Increment the integer value of a hash field by the given number
    `RedisTransaction` | `hincrbyfloat(String key, String field, double increment, Handler<AsyncResult<String>> handler)` Increment the float value of a hash field by the given amount
    `RedisTransaction` | `hkeys(String key, Handler<AsyncResult<String>> handler)` Get all the fields in a hash
    `RedisTransaction` | `hlen(String key, Handler<AsyncResult<String>> handler)` Get the number of fields in a hash
    `RedisTransaction` | `hmget(String key, List<String> fields, Handler<AsyncResult<String>> handler)` Get the values of all the given hash fields
    `RedisTransaction` | `hmset(String key, JsonObject values, Handler<AsyncResult<String>> handler)` Set multiple hash fields to multiple values
    `RedisTransaction` | `hscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate hash fields and associated values
    `RedisTransaction` | `hset(String key, String field, String value, Handler<AsyncResult<String>> handler)` Set the string value of a hash field
    `RedisTransaction` | `hsetnx(String key, String field, String value, Handler<AsyncResult<String>> handler)` Set the value of a hash field, only if the field does not exist
    `RedisTransaction` | `hvals(String key, Handler<AsyncResult<String>> handler)` Get all the values in a hash
    `RedisTransaction` | `incr(String key, Handler<AsyncResult<String>> handler)` Increment the integer value of a key by one
    `RedisTransaction` | `incrby(String key, long increment, Handler<AsyncResult<String>> handler)` Increment the integer value of a key by the given amount
    `RedisTransaction` | `incrbyfloat(String key, double increment, Handler<AsyncResult<String>> handler)` Increment the float value of a key by the given amount
    `RedisTransaction` | `info(Handler<AsyncResult<String>> handler)` Get information and statistics about the server
    `RedisTransaction` | `infoSection(String section, Handler<AsyncResult<String>> handler)` Get information and statistics about the server
    `RedisTransaction` | `keys(String pattern, Handler<AsyncResult<String>> handler)` Find all keys matching the given pattern
    `RedisTransaction` | `lastsave(Handler<AsyncResult<String>> handler)` Get the UNIX time stamp of the last successful save to disk
    `RedisTransaction` | `lindex(String key, int index, Handler<AsyncResult<String>> handler)` Get an element from a list by its index
    `RedisTransaction` | `linsert(String key, InsertOptions option, String pivot, String value, Handler<AsyncResult<String>> handler)` Insert an element before or after another element in a list
    `RedisTransaction` | `llen(String key, Handler<AsyncResult<String>> handler)` Get the length of a list
    `RedisTransaction` | `lpop(String key, Handler<AsyncResult<String>> handler)` Remove and get the first element in a list
    `RedisTransaction` | `lpush(String key, String value, Handler<AsyncResult<String>> handler)` Prepend one value to a list
    `RedisTransaction` | `lpushMany(String key, List<String> values, Handler<AsyncResult<String>> handler)` Prepend one or multiple values to a list
    `RedisTransaction` | `lpushx(String key, String value, Handler<AsyncResult<String>> handler)` Prepend a value to a list, only if the list exists
    `RedisTransaction` | `lrange(String key, long from, long to, Handler<AsyncResult<String>> handler)` Get a range of elements from a list
    `RedisTransaction` | `lrem(String key, long count, String value, Handler<AsyncResult<String>> handler)` Remove elements from a list
    `RedisTransaction` | `lset(String key, long index, String value, Handler<AsyncResult<String>> handler)` Set the value of an element in a list by its index
    `RedisTransaction` | `ltrim(String key, long from, long to, Handler<AsyncResult<String>> handler)` Trim a list to the specified range
    `RedisTransaction` | `mget(String key, Handler<AsyncResult<String>> handler)` Get the value of the given key
    `RedisTransaction` | `mgetMany(List<String> keys, Handler<AsyncResult<String>> handler)` Get the values of all the given keys
    `RedisTransaction` | `migrate(String host, int port, String key, int destdb, long timeout, MigrateOptions options, Handler<AsyncResult<String>> handler)` Atomically transfer a key from a Redis instance to another one.
    `RedisTransaction` | `monitor(Handler<AsyncResult<String>> handler)` Listen for all requests received by the server in real time
    `RedisTransaction` | `move(String key, int destdb, Handler<AsyncResult<String>> handler)` Move a key to another database
    `RedisTransaction` | `mset(JsonObject keyvals, Handler<AsyncResult<String>> handler)` Set multiple keys to multiple values
    `RedisTransaction` | `msetnx(JsonObject keyvals, Handler<AsyncResult<String>> handler)` Set multiple keys to multiple values, only if none of the keys exist
    `RedisTransaction` | `multi(Handler<AsyncResult<String>> handler)` Mark the start of a RedisTransaction block
    `RedisTransaction` | `object(String key, ObjectCmd cmd, Handler<AsyncResult<String>> handler)` Inspect the internals of Redis objects
    `RedisTransaction` | `persist(String key, Handler<AsyncResult<String>> handler)` Remove the expiration from a key
    `RedisTransaction` | `pexpire(String key, long millis, Handler<AsyncResult<String>> handler)` Set a key's time to live in milliseconds
    `RedisTransaction` | `pexpireat(String key, long millis, Handler<AsyncResult<String>> handler)` Set the expiration for a key as a UNIX timestamp specified in milliseconds
    `RedisTransaction` | `pfadd(String key, String element, Handler<AsyncResult<String>> handler)` Adds the specified element to the specified HyperLogLog.
    `RedisTransaction` | `pfaddMany(String key, List<String> elements, Handler<AsyncResult<String>> handler)` Adds the specified elements to the specified HyperLogLog.
    `RedisTransaction` | `pfcount(String key, Handler<AsyncResult<String>> handler)` Return the approximated cardinality of the set observed by the HyperLogLog at key.
    `RedisTransaction` | `pfcountMany(List<String> keys, Handler<AsyncResult<String>> handler)` Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `RedisTransaction` | `pfmerge(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Merge N different HyperLogLogs into a single one.
    `RedisTransaction` | `ping(Handler<AsyncResult<String>> handler)` Ping the server
    `RedisTransaction` | `psetex(String key, long millis, String value, Handler<AsyncResult<String>> handler)` Set the value and expiration in milliseconds of a key
    `RedisTransaction` | `psubscribe(String pattern, Handler<AsyncResult<String>> handler)` Listen for messages published to channels matching the given pattern
    `RedisTransaction` | `psubscribeMany(List<String> patterns, Handler<AsyncResult<String>> handler)` Listen for messages published to channels matching the given patterns
    `RedisTransaction` | `pttl(String key, Handler<AsyncResult<String>> handler)` Get the time to live for a key in milliseconds
    `RedisTransaction` | `publish(String channel, String message, Handler<AsyncResult<String>> handler)` Post a message to a channel
    `RedisTransaction` | `pubsubChannels(String pattern, Handler<AsyncResult<String>> handler)` Lists the currently active channels - only those matching the pattern
    `RedisTransaction` | `pubsubNumpat(Handler<AsyncResult<String>> handler)` Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
    `RedisTransaction` | `pubsubNumsub(List<String> channels, Handler<AsyncResult<String>> handler)` Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
    `RedisTransaction` | `punsubscribe(List<String> patterns, Handler<AsyncResult<String>> handler)` Stop listening for messages posted to channels matching the given patterns
    `RedisTransaction` | `randomkey(Handler<AsyncResult<String>> handler)` Return a random key from the keyspace
    `RedisTransaction` | `rename(String key, String newkey, Handler<AsyncResult<String>> handler)` Rename a key
    `RedisTransaction` | `renamenx(String key, String newkey, Handler<AsyncResult<String>> handler)` Rename a key, only if the new key does not exist
    `RedisTransaction` | `restore(String key, long millis, String serialized, Handler<AsyncResult<String>> handler)` Create a key using the provided serialized value, previously obtained using DUMP.
    `RedisTransaction` | `role(Handler<AsyncResult<String>> handler)` Return the role of the instance in the context of replication
    `RedisTransaction` | `rpop(String key, Handler<AsyncResult<String>> handler)` Remove and get the last element in a list
    `RedisTransaction` | `rpoplpush(String key, String destkey, Handler<AsyncResult<String>> handler)` Remove the last element in a list, append it to another list and return it
    `RedisTransaction` | `rpush(String key, String value, Handler<AsyncResult<String>> handler)` Append one or multiple values to a list
    `RedisTransaction` | `rpushMany(String key, List<String> values, Handler<AsyncResult<String>> handler)` Append one or multiple values to a list
    `RedisTransaction` | `rpushx(String key, String value, Handler<AsyncResult<String>> handler)` Append a value to a list, only if the list exists
    `RedisTransaction` | `sadd(String key, String member, Handler<AsyncResult<String>> handler)` Add a member to a set
    `RedisTransaction` | `saddMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Add one or more members to a set
    `RedisTransaction` | `save(Handler<AsyncResult<String>> handler)` Synchronously save the dataset to disk
    `RedisTransaction` | `scan(String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate the keys space
    `RedisTransaction` | `scard(String key, Handler<AsyncResult<String>> handler)` Get the number of members in a set
    `RedisTransaction` | `scriptExists(String script, Handler<AsyncResult<String>> handler)` Check existence of script in the script cache.
    `RedisTransaction` | `scriptExistsMany(List<String> scripts, Handler<AsyncResult<String>> handler)` Check existence of scripts in the script cache.
    `RedisTransaction` | `scriptFlush(Handler<AsyncResult<String>> handler)` Remove all the scripts from the script cache.
    `RedisTransaction` | `scriptKill(Handler<AsyncResult<String>> handler)` Kill the script currently in execution.
    `RedisTransaction` | `scriptLoad(String script, Handler<AsyncResult<String>> handler)` Load the specified Lua script into the script cache.
    `RedisTransaction` | `sdiff(String key, List<String> cmpkeys, Handler<AsyncResult<String>> handler)` Subtract multiple sets
    `RedisTransaction` | `sdiffstore(String destkey, String key, List<String> cmpkeys, Handler<AsyncResult<String>> handler)` Subtract multiple sets and store the resulting set in a key
    `RedisTransaction` | `select(int dbindex, Handler<AsyncResult<String>> handler)` Change the selected database for the current connection
    `RedisTransaction` | `set(String key, String value, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `RedisTransaction` | `setBinary(String key, Buffer value, Handler<AsyncResult<String>> handler)` Set the binary string value of a key - without encoding as utf-8
    `RedisTransaction` | `setBinaryWithOptions(String key, Buffer value, SetOptions options, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `RedisTransaction` | `setbit(String key, long offset, int bit, Handler<AsyncResult<String>> handler)` Sets or clears the bit at offset in the string value stored at key
    `RedisTransaction` | `setex(String key, long seconds, String value, Handler<AsyncResult<String>> handler)` Set the value and expiration of a key
    `RedisTransaction` | `setnx(String key, String value, Handler<AsyncResult<String>> handler)` Set the value of a key, only if the key does not exist
    `RedisTransaction` | `setrange(String key, int offset, String value, Handler<AsyncResult<String>> handler)` Overwrite part of a string at key starting at the specified offset
    `RedisTransaction` | `setWithOptions(String key, String value, SetOptions options, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `RedisTransaction` | `sinter(List<String> keys, Handler<AsyncResult<String>> handler)` Intersect multiple sets
    `RedisTransaction` | `sinterstore(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Intersect multiple sets and store the resulting set in a key
    `RedisTransaction` | `sismember(String key, String member, Handler<AsyncResult<String>> handler)` Determine if a given value is a member of a set
    `RedisTransaction` | `slaveof(String host, int port, Handler<AsyncResult<String>> handler)` Make the server a slave of another instance
    `RedisTransaction` | `slaveofNoone(Handler<AsyncResult<String>> handler)` Make this server a master
    `RedisTransaction` | `slowlogGet(int limit, Handler<AsyncResult<String>> handler)` Read the Redis slow queries log
    `RedisTransaction` | `slowlogLen(Handler<AsyncResult<String>> handler)` Get the length of the Redis slow queries log
    `RedisTransaction` | `slowlogReset(Handler<AsyncResult<String>> handler)` Reset the Redis slow queries log
    `RedisTransaction` | `smembers(String key, Handler<AsyncResult<JsonArray>> handler)` Get all the members in a set
    `RedisTransaction` | `smove(String key, String destkey, String member, Handler<AsyncResult<String>> handler)` Move a member from one set to another
    `RedisTransaction` | `sort(String key, SortOptions options, Handler<AsyncResult<String>> handler)` Sort the elements in a list, set or sorted set
    `RedisTransaction` | `spop(String key, Handler<AsyncResult<String>> handler)` Remove and return a random member from a set
    `RedisTransaction` | `spopMany(String key, int count, Handler<AsyncResult<String>> handler)` Remove and return random members from a set
    `RedisTransaction` | `srandmember(String key, Handler<AsyncResult<String>> handler)` Get one or multiple random members from a set
    `RedisTransaction` | `srandmemberCount(String key, int count, Handler<AsyncResult<String>> handler)` Get one or multiple random members from a set
    `RedisTransaction` | `srem(String key, String member, Handler<AsyncResult<String>> handler)` Remove one member from a set
    `RedisTransaction` | `sremMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Remove one or more members from a set
    `RedisTransaction` | `sscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate Set elements
    `RedisTransaction` | `strlen(String key, Handler<AsyncResult<String>> handler)` Get the length of the value stored in a key
    `RedisTransaction` | `subscribe(String channel, Handler<AsyncResult<String>> handler)` Listen for messages published to the given channels
    `RedisTransaction` | `subscribeMany(List<String> channels, Handler<AsyncResult<String>> handler)` Listen for messages published to the given channels
    `RedisTransaction` | `sunion(List<String> keys, Handler<AsyncResult<String>> handler)` Add multiple sets
    `RedisTransaction` | `sunionstore(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Add multiple sets and store the resulting set in a key
    `RedisTransaction` | `swapdb(int index1, int index2, Handler<AsyncResult<String>> handler)` Swaps two Redis databases
    `RedisTransaction` | `sync(Handler<AsyncResult<String>> handler)` Internal command used for replication
    `RedisTransaction` | `time(Handler<AsyncResult<String>> handler)` Return the current server time
    `RedisTransaction` | `ttl(String key, Handler<AsyncResult<String>> handler)` Get the time to live for a key
    `RedisTransaction` | `type(String key, Handler<AsyncResult<String>> handler)` Determine the type stored at key
    `RedisTransaction` | `unlink(String key, Handler<AsyncResult<String>> handler)` Delete a key asynchronously in another thread.
    `RedisTransaction` | `unlinkMany(List<String> keys, Handler<AsyncResult<String>> handler)` Delete multiple keys asynchronously in another thread.
    `RedisTransaction` | `unsubscribe(List<String> channels, Handler<AsyncResult<String>> handler)` Stop listening for messages posted to the given channels
    `RedisTransaction` | `unwatch(Handler<AsyncResult<String>> handler)` Forget about all watched keys
    `RedisTransaction` | `wait(long numSlaves, long timeout, Handler<AsyncResult<String>> handler)` Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `RedisTransaction` | `watch(String key, Handler<AsyncResult<String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `RedisTransaction` | `watchMany(List<String> keys, Handler<AsyncResult<String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `RedisTransaction` | `zadd(String key, double score, String member, Handler<AsyncResult<String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisTransaction` | `zaddMany(String key, Map<String,Double> members, Handler<AsyncResult<String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisTransaction` | `zcard(String key, Handler<AsyncResult<String>> handler)` Get the number of members in a sorted set
    `RedisTransaction` | `zcount(String key, double min, double max, Handler<AsyncResult<String>> handler)` Count the members in a sorted set with scores within the given values
    `RedisTransaction` | `zincrby(String key, double increment, String member, Handler<AsyncResult<String>> handler)` Increment the score of a member in a sorted set
    `RedisTransaction` | `zinterstore(String destkey, List<String> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key
    `RedisTransaction` | `zinterstoreWeighed(String destkey, Map<String,Double> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
    `RedisTransaction` | `zlexcount(String key, String min, String max, Handler<AsyncResult<String>> handler)` Count the number of members in a sorted set between a given lexicographical range
    `RedisTransaction` | `zrange(String key, long start, long stop, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index
    `RedisTransaction` | `zrangebylex(String key, String min, String max, LimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by lexicographical range
    `RedisTransaction` | `zrangebyscore(String key, String min, String max, RangeLimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score
    `RedisTransaction` | `zrangeWithOptions(String key, long start, long stop, RangeOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index
    `RedisTransaction` | `zrank(String key, String member, Handler<AsyncResult<String>> handler)` Determine the index of a member in a sorted set
    `RedisTransaction` | `zrem(String key, String member, Handler<AsyncResult<String>> handler)` Remove one member from a sorted set
    `RedisTransaction` | `zremMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Remove one or more members from a sorted set
    `RedisTransaction` | `zremrangebylex(String key, String min, String max, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set between the given lexicographical range
    `RedisTransaction` | `zremrangebyrank(String key, long start, long stop, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set within the given indexes
    `RedisTransaction` | `zremrangebyscore(String key, String min, String max, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set within the given scores
    `RedisTransaction` | `zrevrange(String key, long start, long stop, RangeOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index, with scores ordered from high to low
    `RedisTransaction` | `zrevrangebylex(String key, String max, String min, LimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
    `RedisTransaction` | `zrevrangebyscore(String key, String max, String min, RangeLimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score, with scores ordered from high to low
    `RedisTransaction` | `zrevrank(String key, String member, Handler<AsyncResult<String>> handler)` Determine the index of a member in a sorted set, with scores ordered from high to low
    `RedisTransaction` | `zscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate sorted sets elements and associated scores
    `RedisTransaction` | `zscore(String key, String member, Handler<AsyncResult<String>> handler)` Get the score associated with the given member in a sorted set
    `RedisTransaction` | `zunionstore(String destkey, List<String> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Add multiple sorted sets and store the resulting sorted set in a new key
    `RedisTransaction` | `zunionstoreWeighed(String key, Map<String,Double> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Add multiple sorted sets using weights, and store the resulting sorted set in a new key

- - ### Method Detail

    - #### close

          void close(Handler<AsyncResult<Void>> handler)

      Close the client - when it is fully closed the handler will be called.
      Parameters:
        `handler` -

    - #### append

          RedisTransaction append(String key,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Append a value to a key
      Parameters:
        `key` - Key string
        `value` - Value to append
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: string

    - #### auth

          RedisTransaction auth(String password,
                                Handler<AsyncResult<String>> handler)

      Authenticate to the server
      Parameters:
        `password` - Password for authentication
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: connection

    - #### bgrewriteaof

          RedisTransaction bgrewriteaof(Handler<AsyncResult<String>> handler)

      Asynchronously rewrite the append-only file
      Since:
        Redis 1.0.0 group: server

    - #### bgsave

          RedisTransaction bgsave(Handler<AsyncResult<String>> handler)

      Asynchronously save the dataset to disk
      Since:
        Redis 1.0.0 group: server

    - #### bitcount

          RedisTransaction bitcount(String key,
                                    Handler<AsyncResult<String>> handler)

      Count set bits in a string
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: string

    - #### bitcountRange

          RedisTransaction bitcountRange(String key,
                                         long start,
                                         long end,
                                         Handler<AsyncResult<String>> handler)

      Count set bits in a string
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: string

    - #### bitop

          RedisTransaction bitop(BitOperation operation,
                                 String destkey,
                                 List<String> keys,
                                 Handler<AsyncResult<String>> handler)

      Perform bitwise operations between strings
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: string

    - #### bitpos

          RedisTransaction bitpos(String key,
                                  int bit,
                                  Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.7 group: string

    - #### bitposFrom

          RedisTransaction bitposFrom(String key,
                                      int bit,
                                      int start,
                                      Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string

      See also bitposRange() method, which takes start, and stop offset.

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.7 group: string

    - #### bitposRange

          RedisTransaction bitposRange(String key,
                                       int bit,
                                       int start,
                                       int stop,
                                       Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string

      Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.7 group: string

    - #### blpop

          RedisTransaction blpop(String key,
                                 int seconds,
                                 Handler<AsyncResult<String>> handler)

      Remove and get the first element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: list

    - #### blpopMany

          RedisTransaction blpopMany(List<String> keys,
                                     int seconds,
                                     Handler<AsyncResult<String>> handler)

      Remove and get the first element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: list

    - #### brpop

          RedisTransaction brpop(String key,
                                 int seconds,
                                 Handler<AsyncResult<String>> handler)

      Remove and get the last element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: list

    - #### brpopMany

          RedisTransaction brpopMany(List<String> keys,
                                     int seconds,
                                     Handler<AsyncResult<String>> handler)

      Remove and get the last element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: list

    - #### brpoplpush

          RedisTransaction brpoplpush(String key,
                                      String destkey,
                                      int seconds,
                                      Handler<AsyncResult<String>> handler)

      Pop a value from a list, push it to another list and return it; or block until one is available
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: list

    - #### clientKill

          RedisTransaction clientKill(KillFilter filter,
                                      Handler<AsyncResult<String>> handler)

      Kill the connection of a client
      Parameters:
        `filter` - Filter options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.4.0 group: server

    - #### clientList

          RedisTransaction clientList(Handler<AsyncResult<String>> handler)

      Get the list of client connections
      Since:
        Redis 2.4.0 group: server

    - #### clientGetname

          RedisTransaction clientGetname(Handler<AsyncResult<String>> handler)

      Get the current connection name
      Since:
        Redis 2.6.9 group: server

    - #### clientPause

          RedisTransaction clientPause(long millis,
                                       Handler<AsyncResult<String>> handler)

      Stop processing commands from clients for some time
      Parameters:
        `millis` - Pause time in milliseconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.9.50 group: server

    - #### clientSetname

          RedisTransaction clientSetname(String name,
                                         Handler<AsyncResult<String>> handler)

      Set the current connection name
      Parameters:
        `name` - New name for current connection
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.9 group: server

    - #### clusterAddslots

          RedisTransaction clusterAddslots(List<String> slots,
                                           Handler<AsyncResult<String>> handler)

      Assign new hash slots to receiving node.
      Parameters:
        `slots` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: server

    - #### clusterCountFailureReports

          RedisTransaction clusterCountFailureReports(String nodeId,
                                                      Handler<AsyncResult<String>> handler)

      Return the number of failure reports active for a given node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterCountkeysinslot

          RedisTransaction clusterCountkeysinslot(long slot,
                                                  Handler<AsyncResult<String>> handler)

      Return the number of local keys in the specified hash slot.
      Parameters:
        `slot` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterDelslots

          RedisTransaction clusterDelslots(long slot,
                                           Handler<AsyncResult<String>> handler)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slot` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterDelslotsMany

          RedisTransaction clusterDelslotsMany(List<String> slots,
                                               Handler<AsyncResult<String>> handler)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slots` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterFailover

          RedisTransaction clusterFailover(Handler<AsyncResult<String>> handler)

      Forces a slave to perform a manual failover of its master.
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterFailOverWithOptions

          RedisTransaction clusterFailOverWithOptions(FailoverOptions options,
                                                      Handler<AsyncResult<String>> handler)

      Forces a slave to perform a manual failover of its master.
      Parameters:
        `options` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterForget

          RedisTransaction clusterForget(String nodeId,
                                         Handler<AsyncResult<String>> handler)

      Remove a node from the nodes table.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterGetkeysinslot

          RedisTransaction clusterGetkeysinslot(long slot,
                                                long count,
                                                Handler<AsyncResult<String>> handler)

      Return local key names in the specified hash slot.
      Parameters:
        `slot` -
        `count` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterInfo

          RedisTransaction clusterInfo(Handler<AsyncResult<String>> handler)

      Provides info about Redis Cluster node state.
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterKeyslot

          RedisTransaction clusterKeyslot(String key,
                                          Handler<AsyncResult<String>> handler)

      Returns the hash slot of the specified key.
      Parameters:
        `key` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterMeet

          RedisTransaction clusterMeet(String ip,
                                       long port,
                                       Handler<AsyncResult<String>> handler)

      Force a node cluster to handshake with another node.
      Parameters:
        `ip` -
        `port` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterNodes

          RedisTransaction clusterNodes(Handler<AsyncResult<String>> handler)

      Get Cluster config for the node.
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterReplicate

          RedisTransaction clusterReplicate(String nodeId,
                                            Handler<AsyncResult<String>> handler)

      Reconfigure a node as a slave of the specified master node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterReset

          RedisTransaction clusterReset(Handler<AsyncResult<String>> handler)

      Reset a Redis Cluster node.
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterResetWithOptions

          RedisTransaction clusterResetWithOptions(ResetOptions options,
                                                   Handler<AsyncResult<String>> handler)

      Reset a Redis Cluster node.
      Parameters:
        `options` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSaveconfig

          RedisTransaction clusterSaveconfig(Handler<AsyncResult<String>> handler)

      Forces the node to save cluster state on disk.
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSetConfigEpoch

          RedisTransaction clusterSetConfigEpoch(long epoch,
                                                 Handler<AsyncResult<String>> handler)

      Set the configuration epoch in a new node.
      Parameters:
        `epoch` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSetslot

          RedisTransaction clusterSetslot(long slot,
                                          SlotCmd subcommand,
                                          Handler<AsyncResult<String>> handler)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSetslotWithNode

          RedisTransaction clusterSetslotWithNode(long slot,
                                                  SlotCmd subcommand,
                                                  String nodeId,
                                                  Handler<AsyncResult<String>> handler)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `nodeId` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSlaves

          RedisTransaction clusterSlaves(String nodeId,
                                         Handler<AsyncResult<String>> handler)

      List slave nodes of the specified master node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: cluster

    - #### clusterSlots

          RedisTransaction clusterSlots(Handler<AsyncResult<String>> handler)

      Get array of Cluster slot to node mappings
      Since:
        Redis 3.0.0 group: server

    - #### command

          RedisTransaction command(Handler<AsyncResult<String>> handler)

      Get array of Redis command details
      Since:
        Redis 2.8.13 group: server

    - #### commandCount

          RedisTransaction commandCount(Handler<AsyncResult<String>> handler)

      Get total number of Redis commands
      Since:
        Redis 2.8.13 group: server

    - #### commandGetkeys

          RedisTransaction commandGetkeys(Handler<AsyncResult<String>> handler)

      Extract keys given a full Redis command
      Since:
        Redis 2.8.13 group: server

    - #### commandInfo

          RedisTransaction commandInfo(List<String> commands,
                                       Handler<AsyncResult<String>> handler)

      Get array of specific Redis command details
      Parameters:
        `commands` - List of commands to get info for
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.13 group: server

    - #### configGet

          RedisTransaction configGet(String parameter,
                                     Handler<AsyncResult<String>> handler)

      Get the value of a configuration parameter
      Parameters:
        `parameter` - Configuration parameter
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: server

    - #### configRewrite

          RedisTransaction configRewrite(Handler<AsyncResult<String>> handler)

      Rewrite the configuration file with the in memory configuration
      Since:
        Redis 2.8.0 group: server

    - #### configSet

          RedisTransaction configSet(String parameter,
                                     String value,
                                     Handler<AsyncResult<String>> handler)

      Set a configuration parameter to the given value
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: server

    - #### configResetstat

          RedisTransaction configResetstat(Handler<AsyncResult<String>> handler)

      Reset the stats returned by INFO
      Since:
        Redis 2.0.0 group: server

    - #### dbsize

          RedisTransaction dbsize(Handler<AsyncResult<String>> handler)

      Return the number of keys in the selected database
      Since:
        Redis 1.0.0 group: server

    - #### debugObject

          RedisTransaction debugObject(String key,
                                       Handler<AsyncResult<String>> handler)

      Get debugging information about a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: server

    - #### debugSegfault

          RedisTransaction debugSegfault(Handler<AsyncResult<String>> handler)

      Make the server crash
      Since:
        Redis 1.0.0 group: server

    - #### decr

          RedisTransaction decr(String key,
                                Handler<AsyncResult<String>> handler)

      Decrement the integer value of a key by one
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### decrby

          RedisTransaction decrby(String key,
                                  long decrement,
                                  Handler<AsyncResult<String>> handler)

      Decrement the integer value of a key by the given number
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### del

          RedisTransaction del(String key,
                               Handler<AsyncResult<String>> handler)

      Delete a key
      Parameters:
        `key` - Keys to delete
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### delMany

          RedisTransaction delMany(List<String> keys,
                                   Handler<AsyncResult<String>> handler)

      Delete many keys
      Parameters:
        `keys` - List of keys to delete
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### discard

          RedisTransaction discard(Handler<AsyncResult<String>> handler)

      Discard all commands issued after MULTI
      Since:
        Redis 2.0.0 group: RedisTransactions

    - #### dump

          RedisTransaction dump(String key,
                                Handler<AsyncResult<String>> handler)

      Return a serialized version of the value stored at the specified key.
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### echo

          RedisTransaction echo(String message,
                                Handler<AsyncResult<String>> handler)

      Echo the given string
      Parameters:
        `message` - String to echo
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: connection

    - #### eval

          RedisTransaction eval(String script,
                                List<String> keys,
                                List<String> args,
                                Handler<AsyncResult<String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: scripting

    - #### evalsha

          RedisTransaction evalsha(String sha1,
                                   List<String> keys,
                                   List<String> values,
                                   Handler<AsyncResult<String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: scripting

    - #### exec

          RedisTransaction exec(Handler<AsyncResult<JsonArray>> handler)

      Execute all commands issued after MULTI
      Since:
        Redis 1.2.0 group: RedisTransactions

    - #### exists

          RedisTransaction exists(String key,
                                  Handler<AsyncResult<String>> handler)

      Determine if a key exists
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### existsMany

          RedisTransaction existsMany(List<String> keys,
                                      Handler<AsyncResult<String>> handler)

      Determine if one or many keys exist
      Parameters:
        `keys` - List of key strings
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.3 group: generic

    - #### expire

          RedisTransaction expire(String key,
                                  int seconds,
                                  Handler<AsyncResult<String>> handler)

      Set a key's time to live in seconds
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### expireat

          RedisTransaction expireat(String key,
                                    long seconds,
                                    Handler<AsyncResult<String>> handler)

      Set the expiration for a key as a UNIX timestamp
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: generic

    - #### flushall

          RedisTransaction flushall(Handler<AsyncResult<String>> handler)

      Remove all keys from all databases
      Since:
        Redis 1.0.0 group: server

    - #### flushdb

          RedisTransaction flushdb(Handler<AsyncResult<String>> handler)

      Remove all keys from the current database
      Since:
        Redis 1.0.0 group: server

    - #### get

          RedisTransaction get(String key,
                               Handler<AsyncResult<String>> handler)

      Get the value of a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### getBinary

          RedisTransaction getBinary(String key,
                                     Handler<AsyncResult<Buffer>> handler)

      Get the value of a key - without decoding as utf-8
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### getbit

          RedisTransaction getbit(String key,
                                  long offset,
                                  Handler<AsyncResult<String>> handler)

      Returns the bit value at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: string

    - #### getrange

          RedisTransaction getrange(String key,
                                    long start,
                                    long end,
                                    Handler<AsyncResult<String>> handler)

      Get a substring of the string stored at a key
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.4.0 group: string

    - #### getset

          RedisTransaction getset(String key,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Set the string value of a key and return its old value
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### hdel

          RedisTransaction hdel(String key,
                                String field,
                                Handler<AsyncResult<String>> handler)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hdelMany

          RedisTransaction hdelMany(String key,
                                    List<String> fields,
                                    Handler<AsyncResult<String>> handler)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hexists

          RedisTransaction hexists(String key,
                                   String field,
                                   Handler<AsyncResult<String>> handler)

      Determine if a hash field exists
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hget

          RedisTransaction hget(String key,
                                String field,
                                Handler<AsyncResult<String>> handler)

      Get the value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hgetall

          RedisTransaction hgetall(String key,
                                   Handler<AsyncResult<String>> handler)

      Get all the fields and values in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hincrby

          RedisTransaction hincrby(String key,
                                   String field,
                                   long increment,
                                   Handler<AsyncResult<String>> handler)

      Increment the integer value of a hash field by the given number
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hincrbyfloat

          RedisTransaction hincrbyfloat(String key,
                                        String field,
                                        double increment,
                                        Handler<AsyncResult<String>> handler)

      Increment the float value of a hash field by the given amount
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: hash

    - #### hkeys

          RedisTransaction hkeys(String key,
                                 Handler<AsyncResult<String>> handler)

      Get all the fields in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hlen

          RedisTransaction hlen(String key,
                                Handler<AsyncResult<String>> handler)

      Get the number of fields in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hmget

          RedisTransaction hmget(String key,
                                 List<String> fields,
                                 Handler<AsyncResult<String>> handler)

      Get the values of all the given hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hmset

          RedisTransaction hmset(String key,
                                 JsonObject values,
                                 Handler<AsyncResult<String>> handler)

      Set multiple hash fields to multiple values
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hset

          RedisTransaction hset(String key,
                                String field,
                                String value,
                                Handler<AsyncResult<String>> handler)

      Set the string value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hsetnx

          RedisTransaction hsetnx(String key,
                                  String field,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Set the value of a hash field, only if the field does not exist
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### hvals

          RedisTransaction hvals(String key,
                                 Handler<AsyncResult<String>> handler)

      Get all the values in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: hash

    - #### incr

          RedisTransaction incr(String key,
                                Handler<AsyncResult<String>> handler)

      Increment the integer value of a key by one
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### incrby

          RedisTransaction incrby(String key,
                                  long increment,
                                  Handler<AsyncResult<String>> handler)

      Increment the integer value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### incrbyfloat

          RedisTransaction incrbyfloat(String key,
                                       double increment,
                                       Handler<AsyncResult<String>> handler)

      Increment the float value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: string

    - #### info

          RedisTransaction info(Handler<AsyncResult<String>> handler)

      Get information and statistics about the server
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: server

    - #### infoSection

          RedisTransaction infoSection(String section,
                                       Handler<AsyncResult<String>> handler)

      Get information and statistics about the server
      Parameters:
        `section` - Specific section of information to return
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: server

    - #### keys

          RedisTransaction keys(String pattern,
                                Handler<AsyncResult<String>> handler)

      Find all keys matching the given pattern
      Parameters:
        `pattern` - Pattern to limit the keys returned
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### lastsave

          RedisTransaction lastsave(Handler<AsyncResult<String>> handler)

      Get the UNIX time stamp of the last successful save to disk
      Since:
        Redis 1.0.0 group: server

    - #### lindex

          RedisTransaction lindex(String key,
                                  int index,
                                  Handler<AsyncResult<String>> handler)

      Get an element from a list by its index
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### linsert

          RedisTransaction linsert(String key,
                                   InsertOptions option,
                                   String pivot,
                                   String value,
                                   Handler<AsyncResult<String>> handler)

      Insert an element before or after another element in a list
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: list

    - #### llen

          RedisTransaction llen(String key,
                                Handler<AsyncResult<String>> handler)

      Get the length of a list
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lpop

          RedisTransaction lpop(String key,
                                Handler<AsyncResult<String>> handler)

      Remove and get the first element in a list
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lpushMany

          RedisTransaction lpushMany(String key,
                                     List<String> values,
                                     Handler<AsyncResult<String>> handler)

      Prepend one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lpush

          RedisTransaction lpush(String key,
                                 String value,
                                 Handler<AsyncResult<String>> handler)

      Prepend one value to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lpushx

          RedisTransaction lpushx(String key,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Prepend a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: list

    - #### lrange

          RedisTransaction lrange(String key,
                                  long from,
                                  long to,
                                  Handler<AsyncResult<String>> handler)

      Get a range of elements from a list
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lrem

          RedisTransaction lrem(String key,
                                long count,
                                String value,
                                Handler<AsyncResult<String>> handler)

      Remove elements from a list
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to $value to remove from the list
        `value` - Value to be removed
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### lset

          RedisTransaction lset(String key,
                                long index,
                                String value,
                                Handler<AsyncResult<String>> handler)

      Set the value of an element in a list by its index
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### ltrim

          RedisTransaction ltrim(String key,
                                 long from,
                                 long to,
                                 Handler<AsyncResult<String>> handler)

      Trim a list to the specified range
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### mget

          RedisTransaction mget(String key,
                                Handler<AsyncResult<String>> handler)

      Get the value of the given key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### mgetMany

          RedisTransaction mgetMany(List<String> keys,
                                    Handler<AsyncResult<String>> handler)

      Get the values of all the given keys
      Parameters:
        `keys` - List of keys to get
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### migrate

          RedisTransaction migrate(String host,
                                   int port,
                                   String key,
                                   int destdb,
                                   long timeout,
                                   MigrateOptions options,
                                   Handler<AsyncResult<String>> handler)

      Atomically transfer a key from a Redis instance to another one.
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        `options` - Migrate options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### monitor

          RedisTransaction monitor(Handler<AsyncResult<String>> handler)

      Listen for all requests received by the server in real time
      Since:
        Redis 1.0.0 group: server

    - #### move

          RedisTransaction move(String key,
                                int destdb,
                                Handler<AsyncResult<String>> handler)

      Move a key to another database
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### mset

          RedisTransaction mset(JsonObject keyvals,
                                Handler<AsyncResult<String>> handler)

      Set multiple keys to multiple values
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.1 group: string

    - #### msetnx

          RedisTransaction msetnx(JsonObject keyvals,
                                  Handler<AsyncResult<String>> handler)

      Set multiple keys to multiple values, only if none of the keys exist
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.1 group: string

    - #### multi

          RedisTransaction multi(Handler<AsyncResult<String>> handler)

      Mark the start of a RedisTransaction block
      Since:
        Redis 1.2.0 group: RedisTransactions

    - #### object

          RedisTransaction object(String key,
                                  ObjectCmd cmd,
                                  Handler<AsyncResult<String>> handler)

      Inspect the internals of Redis objects
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.3 group: generic

    - #### persist

          RedisTransaction persist(String key,
                                   Handler<AsyncResult<String>> handler)

      Remove the expiration from a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: generic

    - #### pexpire

          RedisTransaction pexpire(String key,
                                   long millis,
                                   Handler<AsyncResult<String>> handler)

      Set a key's time to live in milliseconds
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### pexpireat

          RedisTransaction pexpireat(String key,
                                     long millis,
                                     Handler<AsyncResult<String>> handler)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### pfadd

          RedisTransaction pfadd(String key,
                                 String element,
                                 Handler<AsyncResult<String>> handler)

      Adds the specified element to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `element` - Element to add
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: hyperloglog

    - #### pfaddMany

          RedisTransaction pfaddMany(String key,
                                     List<String> elements,
                                     Handler<AsyncResult<String>> handler)

      Adds the specified elements to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: hyperloglog

    - #### pfcount

          RedisTransaction pfcount(String key,
                                   Handler<AsyncResult<String>> handler)

      Return the approximated cardinality of the set observed by the HyperLogLog at key.
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: hyperloglog

    - #### pfcountMany

          RedisTransaction pfcountMany(List<String> keys,
                                       Handler<AsyncResult<String>> handler)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
      Parameters:
        `keys` - List of keys
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: hyperloglog

    - #### pfmerge

          RedisTransaction pfmerge(String destkey,
                                   List<String> keys,
                                   Handler<AsyncResult<String>> handler)

      Merge N different HyperLogLogs into a single one.
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: hyperloglog

    - #### ping

          RedisTransaction ping(Handler<AsyncResult<String>> handler)

      Ping the server
      Since:
        Redis 1.0.0 group: connection

    - #### psetex

          RedisTransaction psetex(String key,
                                  long millis,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Set the value and expiration in milliseconds of a key
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: string

    - #### psubscribe

          RedisTransaction psubscribe(String pattern,
                                      Handler<AsyncResult<String>> handler)

      Listen for messages published to channels matching the given pattern
      Parameters:
        `pattern` - Pattern string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### psubscribeMany

          RedisTransaction psubscribeMany(List<String> patterns,
                                          Handler<AsyncResult<String>> handler)

      Listen for messages published to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### pubsubChannels

          RedisTransaction pubsubChannels(String pattern,
                                          Handler<AsyncResult<String>> handler)

      Lists the currently active channels - only those matching the pattern
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: pubsub

    - #### pubsubNumsub

          RedisTransaction pubsubNumsub(List<String> channels,
                                        Handler<AsyncResult<String>> handler)

      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
      Parameters:
        `channels` - List of channels
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: pubsub

    - #### pubsubNumpat

          RedisTransaction pubsubNumpat(Handler<AsyncResult<String>> handler)

      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: pubsub

    - #### pttl

          RedisTransaction pttl(String key,
                                Handler<AsyncResult<String>> handler)

      Get the time to live for a key in milliseconds
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### publish

          RedisTransaction publish(String channel,
                                   String message,
                                   Handler<AsyncResult<String>> handler)

      Post a message to a channel
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### punsubscribe

          RedisTransaction punsubscribe(List<String> patterns,
                                        Handler<AsyncResult<String>> handler)

      Stop listening for messages posted to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns to match against
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### randomkey

          RedisTransaction randomkey(Handler<AsyncResult<String>> handler)

      Return a random key from the keyspace
      Since:
        Redis 1.0.0 group: generic

    - #### rename

          RedisTransaction rename(String key,
                                  String newkey,
                                  Handler<AsyncResult<String>> handler)

      Rename a key
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### renamenx

          RedisTransaction renamenx(String key,
                                    String newkey,
                                    Handler<AsyncResult<String>> handler)

      Rename a key, only if the new key does not exist
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### restore

          RedisTransaction restore(String key,
                                   long millis,
                                   String serialized,
                                   Handler<AsyncResult<String>> handler)

      Create a key using the provided serialized value, previously obtained using DUMP.
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: generic

    - #### role

          RedisTransaction role(Handler<AsyncResult<String>> handler)

      Return the role of the instance in the context of replication
      Since:
        Redis 2.8.12 group: server

    - #### rpop

          RedisTransaction rpop(String key,
                                Handler<AsyncResult<String>> handler)

      Remove and get the last element in a list
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### rpoplpush

          RedisTransaction rpoplpush(String key,
                                     String destkey,
                                     Handler<AsyncResult<String>> handler)

      Remove the last element in a list, append it to another list and return it
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: list

    - #### rpushMany

          RedisTransaction rpushMany(String key,
                                     List<String> values,
                                     Handler<AsyncResult<String>> handler)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### rpush

          RedisTransaction rpush(String key,
                                 String value,
                                 Handler<AsyncResult<String>> handler)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: list

    - #### rpushx

          RedisTransaction rpushx(String key,
                                  String value,
                                  Handler<AsyncResult<String>> handler)

      Append a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: list

    - #### sadd

          RedisTransaction sadd(String key,
                                String member,
                                Handler<AsyncResult<String>> handler)

      Add a member to a set
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### saddMany

          RedisTransaction saddMany(String key,
                                    List<String> members,
                                    Handler<AsyncResult<String>> handler)

      Add one or more members to a set
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### save

          RedisTransaction save(Handler<AsyncResult<String>> handler)

      Synchronously save the dataset to disk
      Since:
        Redis 1.0.0 group: server

    - #### scard

          RedisTransaction scard(String key,
                                 Handler<AsyncResult<String>> handler)

      Get the number of members in a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### scriptExists

          RedisTransaction scriptExists(String script,
                                        Handler<AsyncResult<String>> handler)

      Check existence of script in the script cache.
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: scripting

    - #### scriptExistsMany

          RedisTransaction scriptExistsMany(List<String> scripts,
                                            Handler<AsyncResult<String>> handler)

      Check existence of scripts in the script cache.
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: scripting

    - #### scriptFlush

          RedisTransaction scriptFlush(Handler<AsyncResult<String>> handler)

      Remove all the scripts from the script cache.
      Since:
        Redis 2.6.0 group: scripting

    - #### scriptKill

          RedisTransaction scriptKill(Handler<AsyncResult<String>> handler)

      Kill the script currently in execution.
      Since:
        Redis 2.6.0 group: scripting

    - #### scriptLoad

          RedisTransaction scriptLoad(String script,
                                      Handler<AsyncResult<String>> handler)

      Load the specified Lua script into the script cache.
      Parameters:
        `script` - Lua script
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.6.0 group: scripting

    - #### sdiff

          RedisTransaction sdiff(String key,
                                 List<String> cmpkeys,
                                 Handler<AsyncResult<String>> handler)

      Subtract multiple sets
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sdiffstore

          RedisTransaction sdiffstore(String destkey,
                                      String key,
                                      List<String> cmpkeys,
                                      Handler<AsyncResult<String>> handler)

      Subtract multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### select

          RedisTransaction select(int dbindex,
                                  Handler<AsyncResult<String>> handler)

      Change the selected database for the current connection
      Parameters:
        `dbindex` - Index identifying the new active database
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: connection

    - #### set

          RedisTransaction set(String key,
                               String value,
                               Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### setWithOptions

          RedisTransaction setWithOptions(String key,
                                          String value,
                                          SetOptions options,
                                          Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### setBinary

          RedisTransaction setBinary(String key,
                                     Buffer value,
                                     Handler<AsyncResult<String>> handler)

      Set the binary string value of a key - without encoding as utf-8
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### setBinaryWithOptions

          RedisTransaction setBinaryWithOptions(String key,
                                                Buffer value,
                                                SetOptions options,
                                                Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### setbit

          RedisTransaction setbit(String key,
                                  long offset,
                                  int bit,
                                  Handler<AsyncResult<String>> handler)

      Sets or clears the bit at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: string

    - #### setex

          RedisTransaction setex(String key,
                                 long seconds,
                                 String value,
                                 Handler<AsyncResult<String>> handler)

      Set the value and expiration of a key
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: string

    - #### setnx

          RedisTransaction setnx(String key,
                                 String value,
                                 Handler<AsyncResult<String>> handler)

      Set the value of a key, only if the key does not exist
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: string

    - #### setrange

          RedisTransaction setrange(String key,
                                    int offset,
                                    String value,
                                    Handler<AsyncResult<String>> handler)

      Overwrite part of a string at key starting at the specified offset
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: string

    - #### sinter

          RedisTransaction sinter(List<String> keys,
                                  Handler<AsyncResult<String>> handler)

      Intersect multiple sets
      Parameters:
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sinterstore

          RedisTransaction sinterstore(String destkey,
                                       List<String> keys,
                                       Handler<AsyncResult<String>> handler)

      Intersect multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sismember

          RedisTransaction sismember(String key,
                                     String member,
                                     Handler<AsyncResult<String>> handler)

      Determine if a given value is a member of a set
      Parameters:
        `key` - Key string
        `member` - Member to look for
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### slaveof

          RedisTransaction slaveof(String host,
                                   int port,
                                   Handler<AsyncResult<String>> handler)

      Make the server a slave of another instance
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: server

    - #### slaveofNoone

          RedisTransaction slaveofNoone(Handler<AsyncResult<String>> handler)

      Make this server a master
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: server

    - #### slowlogGet

          RedisTransaction slowlogGet(int limit,
                                      Handler<AsyncResult<String>> handler)

      Read the Redis slow queries log
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.12 group: server

    - #### slowlogLen

          RedisTransaction slowlogLen(Handler<AsyncResult<String>> handler)

      Get the length of the Redis slow queries log
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.12 group: server

    - #### slowlogReset

          RedisTransaction slowlogReset(Handler<AsyncResult<String>> handler)

      Reset the Redis slow queries log
      Parameters:
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.12 group: server

    - #### smembers

          RedisTransaction smembers(String key,
                                    Handler<AsyncResult<JsonArray>> handler)

      Get all the members in a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### smove

          RedisTransaction smove(String key,
                                 String destkey,
                                 String member,
                                 Handler<AsyncResult<String>> handler)

      Move a member from one set to another
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sort

          RedisTransaction sort(String key,
                                SortOptions options,
                                Handler<AsyncResult<String>> handler)

      Sort the elements in a list, set or sorted set
      Parameters:
        `key` - Key string
        `options` - Sort options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### spop

          RedisTransaction spop(String key,
                                Handler<AsyncResult<String>> handler)

      Remove and return a random member from a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### spopMany

          RedisTransaction spopMany(String key,
                                    int count,
                                    Handler<AsyncResult<String>> handler)

      Remove and return random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### srandmember

          RedisTransaction srandmember(String key,
                                       Handler<AsyncResult<String>> handler)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### srandmemberCount

          RedisTransaction srandmemberCount(String key,
                                            int count,
                                            Handler<AsyncResult<String>> handler)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to get
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### srem

          RedisTransaction srem(String key,
                                String member,
                                Handler<AsyncResult<String>> handler)

      Remove one member from a set
      Parameters:
        `key` - Key string
        `member` - Member to remove
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sremMany

          RedisTransaction sremMany(String key,
                                    List<String> members,
                                    Handler<AsyncResult<String>> handler)

      Remove one or more members from a set
      Parameters:
        `key` - Key string
        `members` - Members to remove
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### strlen

          RedisTransaction strlen(String key,
                                  Handler<AsyncResult<String>> handler)

      Get the length of the value stored in a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: string

    - #### subscribe

          RedisTransaction subscribe(String channel,
                                     Handler<AsyncResult<String>> handler)

      Listen for messages published to the given channels
      Parameters:
        `channel` - Channel to subscribe to
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### subscribeMany

          RedisTransaction subscribeMany(List<String> channels,
                                         Handler<AsyncResult<String>> handler)

      Listen for messages published to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### sunion

          RedisTransaction sunion(List<String> keys,
                                  Handler<AsyncResult<String>> handler)

      Add multiple sets
      Parameters:
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sunionstore

          RedisTransaction sunionstore(String destkey,
                                       List<String> keys,
                                       Handler<AsyncResult<String>> handler)

      Add multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: set

    - #### sync

          RedisTransaction sync(Handler<AsyncResult<String>> handler)

      Internal command used for replication
      Since:
        Redis 1.0.0 group: server

    - #### time

          RedisTransaction time(Handler<AsyncResult<String>> handler)

      Return the current server time
      Since:
        Redis 2.6.0 group: server

    - #### ttl

          RedisTransaction ttl(String key,
                               Handler<AsyncResult<String>> handler)

      Get the time to live for a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### type

          RedisTransaction type(String key,
                                Handler<AsyncResult<String>> handler)

      Determine the type stored at key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.0 group: generic

    - #### unsubscribe

          RedisTransaction unsubscribe(List<String> channels,
                                       Handler<AsyncResult<String>> handler)

      Stop listening for messages posted to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: pubsub

    - #### unwatch

          RedisTransaction unwatch(Handler<AsyncResult<String>> handler)

      Forget about all watched keys
      Since:
        Redis 2.2.0 group: RedisTransactions

    - #### wait

          RedisTransaction wait(long numSlaves,
                                long timeout,
                                Handler<AsyncResult<String>> handler)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.
      Parameters:
        `numSlaves` -
        `timeout` -
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.0.0 group: generic

    - #### watch

          RedisTransaction watch(String key,
                                 Handler<AsyncResult<String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `key` - Key to watch
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: RedisTransactions

    - #### watchMany

          RedisTransaction watchMany(List<String> keys,
                                     Handler<AsyncResult<String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `keys` - List of keys to watch
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: RedisTransactions

    - #### zadd

          RedisTransaction zadd(String key,
                                double score,
                                String member,
                                Handler<AsyncResult<String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zaddMany

          RedisTransaction zaddMany(String key,
                                    Map<String,Double> members,
                                    Handler<AsyncResult<String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zcard

          RedisTransaction zcard(String key,
                                 Handler<AsyncResult<String>> handler)

      Get the number of members in a sorted set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zcount

          RedisTransaction zcount(String key,
                                  double min,
                                  double max,
                                  Handler<AsyncResult<String>> handler)

      Count the members in a sorted set with scores within the given values
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zincrby

          RedisTransaction zincrby(String key,
                                   double increment,
                                   String member,
                                   Handler<AsyncResult<String>> handler)

      Increment the score of a member in a sorted set
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zinterstore

          RedisTransaction zinterstore(String destkey,
                                       List<String> sets,
                                       AggregateOptions options,
                                       Handler<AsyncResult<String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zinterstoreWeighed

          RedisTransaction zinterstoreWeighed(String destkey,
                                              Map<String,Double> sets,
                                              AggregateOptions options,
                                              Handler<AsyncResult<String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zlexcount

          RedisTransaction zlexcount(String key,
                                     String min,
                                     String max,
                                     Handler<AsyncResult<String>> handler)

      Count the number of members in a sorted set between a given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: sorted_set

    - #### zrange

          RedisTransaction zrange(String key,
                                  long start,
                                  long stop,
                                  Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zrangeWithOptions

          RedisTransaction zrangeWithOptions(String key,
                                             long start,
                                             long stop,
                                             RangeOptions options,
                                             Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zrangebylex

          RedisTransaction zrangebylex(String key,
                                       String min,
                                       String max,
                                       LimitOptions options,
                                       Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: sorted_set

    - #### zrangebyscore

          RedisTransaction zrangebyscore(String key,
                                         String min,
                                         String max,
                                         RangeLimitOptions options,
                                         Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.0.5 group: sorted_set

    - #### zrank

          RedisTransaction zrank(String key,
                                 String member,
                                 Handler<AsyncResult<String>> handler)

      Determine the index of a member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zrem

          RedisTransaction zrem(String key,
                                String member,
                                Handler<AsyncResult<String>> handler)

      Remove one member from a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zremMany

          RedisTransaction zremMany(String key,
                                    List<String> members,
                                    Handler<AsyncResult<String>> handler)

      Remove one or more members from a sorted set
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zremrangebylex

          RedisTransaction zremrangebylex(String key,
                                          String min,
                                          String max,
                                          Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set between the given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: sorted_set

    - #### zremrangebyrank

          RedisTransaction zremrangebyrank(String key,
                                           long start,
                                           long stop,
                                           Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set within the given indexes
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zremrangebyscore

          RedisTransaction zremrangebyscore(String key,
                                            String min,
                                            String max,
                                            Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set within the given scores
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zrevrange

          RedisTransaction zrevrange(String key,
                                     long start,
                                     long stop,
                                     RangeOptions options,
                                     Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zrevrangebylex

          RedisTransaction zrevrangebylex(String key,
                                          String max,
                                          String min,
                                          LimitOptions options,
                                          Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.9 group: sorted_set

    - #### zrevrangebyscore

          RedisTransaction zrevrangebyscore(String key,
                                            String max,
                                            String min,
                                            RangeLimitOptions options,
                                            Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.2.0 group: sorted_set

    - #### zrevrank

          RedisTransaction zrevrank(String key,
                                    String member,
                                    Handler<AsyncResult<String>> handler)

      Determine the index of a member in a sorted set, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zscore

          RedisTransaction zscore(String key,
                                  String member,
                                  Handler<AsyncResult<String>> handler)

      Get the score associated with the given member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Since:
        Redis 1.2.0 group: sorted_set

    - #### zunionstore

          RedisTransaction zunionstore(String destkey,
                                       List<String> sets,
                                       AggregateOptions options,
                                       Handler<AsyncResult<String>> handler)

      Add multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### zunionstoreWeighed

          RedisTransaction zunionstoreWeighed(String key,
                                              Map<String,Double> sets,
                                              AggregateOptions options,
                                              Handler<AsyncResult<String>> handler)

      Add multiple sorted sets using weights, and store the resulting sorted set in a new key
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.0.0 group: sorted_set

    - #### scan

          RedisTransaction scan(String cursor,
                                ScanOptions options,
                                Handler<AsyncResult<String>> handler)

      Incrementally iterate the keys space
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: generic

    - #### sscan

          RedisTransaction sscan(String key,
                                 String cursor,
                                 ScanOptions options,
                                 Handler<AsyncResult<String>> handler)

      Incrementally iterate Set elements
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: set

    - #### hscan

          RedisTransaction hscan(String key,
                                 String cursor,
                                 ScanOptions options,
                                 Handler<AsyncResult<String>> handler)

      Incrementally iterate hash fields and associated values
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: hash

    - #### zscan

          RedisTransaction zscan(String key,
                                 String cursor,
                                 ScanOptions options,
                                 Handler<AsyncResult<String>> handler)

      Incrementally iterate sorted sets elements and associated scores
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Since:
        Redis 2.8.0 group: sorted_set

    - #### geoadd

          RedisTransaction geoadd(String key,
                                  double longitude,
                                  double latitude,
                                  String member,
                                  Handler<AsyncResult<String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geoaddMany

          RedisTransaction geoaddMany(String key,
                                      List<GeoMember> members,
                                      Handler<AsyncResult<String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geohash

          RedisTransaction geohash(String key,
                                   String member,
                                   Handler<AsyncResult<String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geohashMany

          RedisTransaction geohashMany(String key,
                                       List<String> members,
                                       Handler<AsyncResult<String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geopos

          RedisTransaction geopos(String key,
                                  String member,
                                  Handler<AsyncResult<String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geoposMany

          RedisTransaction geoposMany(String key,
                                      List<String> members,
                                      Handler<AsyncResult<String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geodist

          RedisTransaction geodist(String key,
                                   String member1,
                                   String member2,
                                   Handler<AsyncResult<String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### geodistWithUnit

          RedisTransaction geodistWithUnit(String key,
                                           String member1,
                                           String member2,
                                           GeoUnit unit,
                                           Handler<AsyncResult<String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### georadius

          RedisTransaction georadius(String key,
                                     double longitude,
                                     double latitude,
                                     double radius,
                                     GeoUnit unit,
                                     Handler<AsyncResult<String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### georadiusWithOptions

          RedisTransaction georadiusWithOptions(String key,
                                                double longitude,
                                                double latitude,
                                                double radius,
                                                GeoUnit unit,
                                                GeoRadiusOptions options,
                                                Handler<AsyncResult<String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### georadiusbymember

          RedisTransaction georadiusbymember(String key,
                                             String member,
                                             double radius,
                                             GeoUnit unit,
                                             Handler<AsyncResult<String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### georadiusbymemberWithOptions

          RedisTransaction georadiusbymemberWithOptions(String key,
                                                        String member,
                                                        double radius,
                                                        GeoUnit unit,
                                                        GeoRadiusOptions options,
                                                        Handler<AsyncResult<String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
        `handler` - Handler for the result of this call.
      Since:
        Redis 3.2.0 group: geo

    - #### unlink

          RedisTransaction unlink(String key,
                                  Handler<AsyncResult<String>> handler)

      Delete a key asynchronously in another thread. Otherwise it is just as DEL, but non blocking.
      Parameters:
        `key` - Key string
      Since:
        Redis 4.0.0 group: generic

    - #### unlinkMany

          RedisTransaction unlinkMany(List<String> keys,
                                      Handler<AsyncResult<String>> handler)

      Delete multiple keys asynchronously in another thread. Otherwise it is just as DEL, but non blocking.
      Parameters:
        `keys` - List of keys to delete
        `handler` - Handler for the result of this call.
      Since:
        Redis 4.0.0 group: generic

    - #### swapdb

          RedisTransaction swapdb(int index1,
                                  int index2,
                                  Handler<AsyncResult<String>> handler)

      Swaps two Redis databases
      Parameters:
        `index1` - index of first database to swap
        `index2` - index of second database to swap
        `handler` - Handler for the result of this call.
      Since:
        Redis 4.0.0 group: connection

Copyright © 2019 Eclipse. All rights reserved.